import 'package:hub/src/features/hub/domain/entities/position_entity.dart';
import 'package:legacy_shared/legacy_shared.dart';

abstract class HomeRepository {
  Future<List<DeviceEntity>> getDevices({required String userId});

  Future<List<PositionEntity>> getLatestPositions({required String deviceId});

}
